com.dlsc.flexgantt.swing

## Class RelationshipMessage

- java.lang.Object
- - com.dlsc.flexgantt.swing.Message
  - - com.dlsc.flexgantt.swing.RelationshipMessage

- All Implemented Interfaces:
    IMessage, IRelationshipMessage

      public class RelationshipMessage
      extends Message
      implements IRelationshipMessage

  A relationship message is used when the application wants to display a message to the user that is somehow related to a relationship. The relationship object might cause some scheduling constraint violations and the application requests from the user to perform scheduling actions.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `Message`, `TreePathMessage`, `TimelineObjectPathMessage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationshipMessage(MessageTypeId id, String text, Date time, IRelationship relationship)` Constructs a new message.
    `RelationshipMessage(MessageTypeId id, String text, IRelationship relationship)` Constructs a new message.
    `RelationshipMessage(MessageTypeId id, String text, Object details, Date time, IRelationship relationship)` Constructs a new message.
    `RelationshipMessage(MessageTypeId id, String text, Object details, IRelationship relationship)` Constructs a new message.
    `RelationshipMessage(String text, IRelationship relationship)` Constructs a new information message.
    `RelationshipMessage(String text, Object details, IRelationship relationship)` Constructs a new error message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRelationship` | `getRelationship()` The relationship for which the message was generated.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.Message

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.swing.IMessage

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId`

- - ### Constructor Detail

    - #### RelationshipMessage

          public RelationshipMessage(MessageTypeId id,
                                     String text,
                                     Object details,
                                     Date time,
                                     IRelationship relationship)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `time` - a message time stamp
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### RelationshipMessage

          public RelationshipMessage(MessageTypeId id,
                                     String text,
                                     Date time,
                                     IRelationship relationship)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `time` - a message time stamp
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### RelationshipMessage

          public RelationshipMessage(MessageTypeId id,
                                     String text,
                                     Object details,
                                     IRelationship relationship)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### RelationshipMessage

          public RelationshipMessage(MessageTypeId id,
                                     String text,
                                     IRelationship relationship)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### RelationshipMessage

          public RelationshipMessage(String text,
                                     Object details,
                                     IRelationship relationship)

      Constructs a new error message.
      Parameters:
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### RelationshipMessage

          public RelationshipMessage(String text,
                                     IRelationship relationship)

      Constructs a new information message.
      Parameters:
        `text` - the message that will be shown to the user
        `relationship` - a relationship object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

  - ### Method Detail

    - #### getRelationship

          public IRelationship getRelationship()

      Description copied from interface: `IRelationshipMessage`
      The relationship for which the message was generated.
      Specified by:
        `getRelationship` in interface `IRelationshipMessage`
      Returns:
        the referenced relationship

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.